Subject: bug#6131: [PATCH]: fiemap support for efficient sparse file copy

From: Jim Meyering <[email-masked]>
Date: Tue, 25 Jan 2011 08:59:44 +0100

jeff.liu wrote:
> AFAICS, the tests passed on all filesystems except ext4,

Really?
The vast majority of my testing is with ext4 on Fedora 14, and I have seen
no failure -- otherwise I would have mentioned that as a known problem.

What type of system/kernel are you using?
Was your ext4 partition created long ago?  With what options?
Did "make check" fail?  If so, please provide details.
If something else failed, please give me enough information
to reproduce it.

> but the result is ok by comparing the file
> contents, can we take this risk?

> Is this patchset acceptable to merge into the next official release?

An ext4 failure sounds ominous.

> Another thing is to add solaris SEEK_DATA support to extent_scan.c as
> we discussed before, not sure
> if anyone working on this now. If not, I will take some time to follow
> up but have to delay about 2
> weeks since I will on vacation for the chinese new year start from next week.
>
> Btw, do you have plan to post extent_scan module to gnulib upstream?
> so that other file archive
> projects(like tar(1)) can benefit from it.

I do not plan to do that right away.

> Any thing I can do for this patchset please just let me know. :)